#include <iostream>
#include <string>
using namespace std;
int PS(string s1,string s2)
{
	int p=0,i;
	for(i=0;i<s1.size();i++)
	if(s1.at(i)==s2.at(i))
	p++;
	return min(p,(int)s1.size()-p);
}
int main()
{
    string s,p;
    cin>>s;
    int i=0,Min=s.size();
    for(i=0;i<s.size();i++)
   	p.push_back('0');
	for(i=0;i<=s.size();i++)
	{
		if(i-1>=0)
		p.at(i-1)='1';
		Min=min(Min,PS(s,p));
	}
	cout<<Min;
}